import { Pipe } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
var SafeHtml = (function () {
    function SafeHtml(sanitizer) {
        this.sanitizer = sanitizer;
    }
    SafeHtml.prototype.transform = function (html) {
        //return this.sanitizer.bypassSecurityTrustHtml(html);
        return this.sanitizer.bypassSecurityTrustResourceUrl(html);
    };
    SafeHtml.decorators = [
        { type: Pipe, args: [{ name: 'safeHtml' },] },
    ];
    /** @nocollapse */
    SafeHtml.ctorParameters = function () { return [
        { type: DomSanitizer, },
    ]; };
    return SafeHtml;
}());
export { SafeHtml };
//# sourceMappingURL=safe-html.js.map